"""
/**********************************************************************
FILE     : $RCSfile: __init__.py,v $
PURPOSE  : a (very basic) zope-wrapper for taminotalk Tamino XML DB interface
NOTES    : for comment
AUTHOR   : Stephen Schaper
COPYRIGHT: (c) 2001 by struktur AG
DATE     : 22OCT2001
LICENSE  : see LICENSE.TXT
REVISION : $Revision: 1.3 $
VERSION  : $Id: __init__.py,v 1.3 2001/10/29 12:14:54 mache Exp $ (Author: $Author: mache $)

struktur AG            Phone: +49 711 8966560
Junghansstr. 5         Fax:   +49 711 89665610
70469 Stuttgart        email: info@struktur.de
GERMANY 

http://www.struktur.de
http://www.strukturag.com

**********************************************************************/


zamino is a minimal Zope product that implements an example interface between the
Tamino XML database (Software AG) and Zope. zamino supports XSLT of XML documents
stored in the Tamino DB. The XSLT translation results are cached and stored in a
zope object. 

Prequerisites for zamino:

- Zope 2.4.x
- taminotalk Client API for the Tamino XML database
  The API implements basic functions for access and query of Tamino, XSLT formatting
  of XML output and transaction handling.
- Transparent folders
- 4Suite 4DOM and 4XSLT
- Tamino XML database

Disclaimer

  THIS SOFTWARE IS PROVIDED BY STRUKTUR AG ``AS IS'' AND ANY
  EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
  PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL STRUKTUR AG OR ITS
  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
  SUCH DAMAGE.

"""


import Zamino
import ztaminohandler

def initialize(context): 
    """Initialize the zamino product.
    This makes the object apear in the product list"""

    
    context.registerClass( Zamino.Zamino , constructors = ( Zamino.manage_addZaminoForm, Zamino.manage_addZaminoAction ) , icon=None )
    context.registerClass( ztaminohandler.ZTaminohandler , constructors = ( ztaminohandler.manage_addZTaminohandlerForm, ztaminohandler.manage_addZTaminohandlerAction ) , icon=None )
