<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" 
			xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
			xmlns:snm="http://namespaces.struktur.de/snm"
			xmlns:ino="http://namespaces.softwareag.com/tamino/response2" 
			xmlns:xql="http://metalab.unc.edu/xql/">


<xsl:template match="/" xml:space="preserve">
<html>
  <head>
    <title>Shakespeare</title>
    <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"/>
    <xsl:comment> (c) 2000 struktur AG, http://www.struktur.de </xsl:comment>
  </head>
  <body bgcolor="#FFFFFF" vlink="#FFFFFF" link="#FFFFFF" alink="#FFFFFF" text="#000000" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">
    <xsl:apply-templates />
  </body>
</html>
</xsl:template>

<xsl:template match="PLAY/TITLE">
   <p><h3><xsl:apply-templates/></h3></p>
</xsl:template>

<xsl:template match="PERSONAE/TITLE"><xsl:apply-templates/> </xsl:template>
<xsl:template match="FM"/>
<xsl:template match="P"/>
<xsl:template match="PERSONAE">
   <p><xsl:apply-templates/></p>
</xsl:template>
<xsl:template match="PERSONA"><xsl:apply-templates/></xsl:template>
<xsl:template match="ACT">
   <p><xsl:apply-templates/></p>
</xsl:template>
<xsl:template match="LINE">
<xsl:apply-templates/><br/>
</xsl:template>
<xsl:template match="STAGEDIR">
<xsl:apply-templates/>
</xsl:template>
<xsl:template match="STAGEDIR">
<xsl:apply-templates/>
</xsl:template>
<xsl:template match="SPEECH">
<xsl:apply-templates/><br/>
</xsl:template>
<xsl:template match="SPEAKER">
<b><xsl:apply-templates/></b><br/>
</xsl:template>
<xsl:template match="SUBHEAD"/>
<xsl:template match="PGROUP">
<xsl:apply-templates/>
</xsl:template>
<xsl:template match="GRPDESCR"/>
<xsl:template match="SCNDESCR"/>
<xsl:template match="PLAYSUBT"/>

<!--
ELEMENT INDUCT   (TITLE, SUBTITLE*, (SCENE+|(SPEECH|STAGEDIR|SUBHEAD)+))
ELEMENT ACT      (TITLE, SUBTITLE*, PROLOGUE?, SCENE+, EPILOGUE?)
ELEMENT SCENE    (TITLE, SUBTITLE*, (SPEECH | STAGEDIR | SUBHEAD)+)
ELEMENT PROLOGUE (TITLE, SUBTITLE*, (STAGEDIR | SPEECH)+)
ELEMENT EPILOGUE (TITLE, SUBTITLE*, (STAGEDIR | SPEECH)+)
ELEMENT SPEECH   (SPEAKER+, (LINE | STAGEDIR | SUBHEAD)+)
ELEMENT SUBTITLE (#PCDATA)>
ELEMENT SUBHEAD  (#PCDATA)>
-->


</xsl:stylesheet>
