"""
/**********************************************************************
FILE     : $RCSfile: ztaminohandler.py,v $
PURPOSE  : a (very basic/simple/incomplete/whatever) object that represents a connection/handler to a tamino-db
NOTES    : for comment (not really)
AUTHOR   : Stephen Schaper
COPYRIGHT: (c) 2001 by struktur AG
DATE     : 22OCT2001
LICENSE  : see LICENSE.TXT
REVISION : $Revision: 1.2 $
VERSION  : $Id: ztaminohandler.py,v 1.2 2001/10/29 12:13:42 mache Exp $ (Author: $Author: mache $)

struktur AG            Phone: +49 711 8966560
Junghansstr. 5         Fax:   +49 711 89665610
70469 Stuttgart        email: info@struktur.de
GERMANY 

http://www.struktur.de
http://www.strukturag.com

**********************************************************************/

for a logical separation of xml storage object from storage (server,db),
till now just a (functionless) recordholder, proxyobject ...

Disclaimer

  THIS SOFTWARE IS PROVIDED BY STRUKTUR AG ``AS IS'' AND ANY
  EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
  PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL STRUKTUR AG OR ITS
  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
  SUCH DAMAGE.

"""

__version__='$Revision: 1.2 $'[11:-2]


#standard import (not all is needed, just left over from xtc :)
from DateTime import DateTime
import time,re,string
from urllib import quote
from Globals import DTMLFile
#base classes
from OFS import SimpleItem,ZDOM,DTMLMethod
from Acquisition import Implicit
import Persistence
#classes for io
from StringIO import StringIO
from taminotalk import TaminoTalk

#
# ZTaminohandler - don't get exicited ...
#
    
class ZTaminohandler(Persistence.Persistent, SimpleItem.Item, Implicit):
    "XML, Tamino and Conversion"

    meta_type='ZTaminohandler'


    manage_options = (
        {'label': 'Properties', 'action': 'manage_editForm',},
#        {'label': 'View', 'action': 'index_html',},
#        {'label': 'View XML', 'action': 'manage_viewxmlForm',},
    )


#
# init and edit
#

    def __init__(self, id, title, server, database):
        """init item"""
        self.id = id
        self.title=title
        self.database = database
        self.server = server

    def manage_edit(self,  title, server, database, REQUEST=None):
        """Edit Item"""
        self.title=title
        self.database = database
        self.server = server
        if REQUEST is not None:
            try: u=self.DestinationURL()
            except: u=REQUEST['URL1']
            u="%s/%s" % (u,quote(self.id))
            REQUEST.RESPONSE.redirect(u+'/manage_editForm')

#
# public methods
#

    def giveService(self):
        """init item"""
        return self.server, self.database

#
# private,protected and helper methods
#

#TODO: so many things ...

#
# web interface 
#
 
    manage_editForm = DTMLFile('dtml/manage_editZTaminohandlerForm', globals())

 
    def index_html(self, client=None, REQUEST={}, RESPONSE=None, **kw):
        """index_html"""
        REQUEST.RESPONSE.redirect(u+'/manage_editForm')


#
# constructors
#

def manage_addZTaminohandlerAction(self ,id='ZTaminohandler' , title='', server='', database='' ,REQUEST=None):
    "Add a ZTaminohandler to a folder."
    id=str(id)
    title=str(title)
    ob=ZTaminohandler(id, title, server, database)
    ob.title=title
    id=self._setObject(id, ob)
    if REQUEST is not None:
        try: u=self.DestinationURL()
        except: u=REQUEST['URL1']
        u="%s/%s" % (u,quote(id))
        REQUEST.RESPONSE.redirect(u+'/manage_editForm')

manage_addZTaminohandlerForm = DTMLFile('dtml/manage_addZTaminohandlerForm', globals())
